summaryrefslogtreecommitdiffstats
path: root/source/n/netwrite
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/netwrite')
-rw-r--r--source/n/netwrite/netwrite-0.17.diff23
-rwxr-xr-xsource/n/netwrite/netwrite.SlackBuild78
-rw-r--r--source/n/netwrite/slack-desc19
3 files changed, 120 insertions, 0 deletions
diff --git a/source/n/netwrite/netwrite-0.17.diff b/source/n/netwrite/netwrite-0.17.diff
new file mode 100644
index 000000000..ae8216c70
--- /dev/null
+++ b/source/n/netwrite/netwrite-0.17.diff
@@ -0,0 +1,23 @@
+--- ./write/write.c.orig Sun Feb 25 18:22:21 2001
++++ ./write/write.c Sun Feb 25 18:22:35 2001
+@@ -73,9 +73,7 @@
+ #include <fcntl.h>
+ #include <signal.h>
+ #include <utmp.h>
+-#if 0
+- #include <time.h>
+-#endif
++#include <time.h>
+ #include <sys/socket.h>
+ #include <netinet/in.h>
+ #include <arpa/inet.h>
+--- ./writed/writed.c.orig Sun Feb 25 18:23:17 2001
++++ ./writed/writed.c Sun Feb 25 18:24:08 2001
+@@ -67,6 +67,7 @@
+ #include <stdlib.h>
+ #include <errno.h>
+ #include <unistd.h>
++#include <sys/socket.h>
+
+ #ifdef ultrix /* missing protos */
+ struct sockaddr;
diff --git a/source/n/netwrite/netwrite.SlackBuild b/source/n/netwrite/netwrite.SlackBuild
new file mode 100755
index 000000000..edebb6cc1
--- /dev/null
+++ b/source/n/netwrite/netwrite.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=0.17
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-netwrite
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf netwrite-$VERSION
+tar xvf $CWD/netwrite-0.17.tar.gz || exit 1
+cd netwrite-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/netwrite-0.17.diff.gz | patch -p1 || exit
+
+./configure --prefix=/usr
+
+make $NUMJOBS || make || exit 1
+
+# The versions in util-linux are better, but we'll keep in.writed just in case:
+#cat write > $PKG/usr/bin/write
+#cat write.1 | gzip -9c > $PKG/usr/man/man1/write.1.gz
+( cd writed
+ strip writed
+ mkdir -p $PKG/usr/sbin
+ cat writed > $PKG/usr/sbin/in.writed
+ chmod 755 $PKG/usr/sbin/in.writed
+ mkdir -p $PKG/usr/man/man8
+ cat writed.8 | gzip -9c > $PKG/usr/man/man8/in.writed.8.gz
+)
+
+mkdir -p $PKG/usr/doc/netwrite-$VERSION
+cp -a README $PKG/usr/doc/netwrite-$VERSION
+chown root:root $PKG/usr/doc/netwrite-$VERSION/*
+chmod 644 $PKG/usr/doc/netwrite-$VERSION/*
+
+# Finish up the package:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/netwrite-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/n/netwrite/slack-desc b/source/n/netwrite/slack-desc
new file mode 100644
index 000000000..3ea62c0f0
--- /dev/null
+++ b/source/n/netwrite/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+netwrite: netwrite (in.writed daemon for accepting network "write")
+netwrite:
+netwrite: Writed implements a very simple protocol that allows a write(1)
+netwrite: program on one host to connect up to one on another host, allowing
+netwrite: communications across the network. Writed is meant to be run from
+netwrite: inetd(8) listening for TCP requests on port 811. No attempt is made
+netwrite: to determine the authenticity of users sending messages. This
+netwrite: program should probably not be deployed on insecure networks.
+netwrite:
+netwrite:
+netwrite: